<?php
/*
Simple:Press Plugin Title: Profanity Filter
Version: 1.2.1
Plugin URI: http://simple-press.com
Description: A Simple:Press plugin for filtering profanity or other key words out of post content
Author: Andy Staines & Steve Klasen
Author URI: http://simple-press.com
Simple:Press Versions: 5.1 and above
$LastChangedDate: 2013-03-07 12:01:58 -0700 (Thu, 07 Mar 2013) $
$Rev: 10001 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

# IMPORTANT DB VERSION
define('SPPFDBVERSION', 1);

define('PFDIR', 		SFPLUGINDIR.'profanity-filter/');
define('PFADMINDIR', 	SFPLUGINDIR.'profanity-filter/admin/');
define('PFLIBDIR', 		SFPLUGINDIR.'profanity-filter/library/');

add_action('init', 											                      'sp_profanity_filter_localization');
add_action('sph_activate_profanity-filter/sp-profanity-filter-plugin.php', 	      'sp_profanity_filter_install');
add_action('sph_uninstall_profanity-filter/sp-profanity-filter-plugin.php',       'sp_profanity_filter_uninstall');
add_action('sph_options_content_right_panel', 								      'sp_profanity_filter_admin_options');
add_action('sph_option_content_save', 										      'sp_profanity_filter_admin_save_options');
add_action('admin_footer',                                                        'sp_profanity_filter_upgrade_check');
add_action('sph_plugin_update_profanity-filter/sp-profanity-filter-plugin.php',   'sp_profanity_filter_upgrade_check');

add_filter('sph_plugins_active_buttons', 		'sp_profanity_filter_uninstall_option', 10, 2);
add_filter('sph_admin_help-admin-options', 		'sp_profanity_filter_admin_help', 10, 3);
add_filter('sph_display_post_content_filter', 	'sp_profanity_filter_filter');
add_filter('sph_display_title_filter',          'sp_profanity_filter_filter');
function sp_profanity_filter_admin_options() {
    include_once(PFADMINDIR.'sp-profanity-filter-admin-options.php');
	sp_profanity_filter_admin_options_form();
}

function sp_profanity_filter_admin_save_options() {
    include_once(PFADMINDIR.'sp-profanity-filter-admin-options-save.php');
    return sp_profanity_filter_admin_options_save();
}

function sp_profanity_filter_admin_help($file, $tag, $lang) {
    if ($tag == '[profanity-filter]') $file = PFADMINDIR.'sp-profanity-filter-admin-help.'.$lang;
    return $file;
}

function sp_profanity_filter_uninstall_option($actionlink, $plugin) {
    include_once(PFLIBDIR.'sp-profanity-filter-components.php');
    $actionlink = sp_profanity_filter_uninstall_option_links($actionlink, $plugin);
	return $actionlink;
}

function sp_profanity_filter_localization() {
	sp_plugin_localisation('sp-profanity');
}

function sp_profanity_filter_uninstall() {
    include_once(PFDIR.'sp-profanity-filter-uninstall.php');
    sp_profanity_filter_do_uninstall();
}

function sp_profanity_filter_install() {
    include_once(PFDIR.'sp-profanity-filter-install.php');
    sp_profanity_filter_do_install();
}

function sp_profanity_filter_filter($content) {
    include_once(PFLIBDIR.'sp-profanity-filter-components.php');
    $content = sp_profanity_filter_do_filter($content);
	return $content;
}

function sp_profanity_filter_upgrade_check() {
    include_once(PFDIR.'sp-profanity-filter-upgrade.php');
    sp_profanity_filter_do_upgrade_check();
}

?>